---
layout: page
title: NSF Award Abstract
description: Tripoli 2022
---
Among Earth material properties, the relative abundance of isotopes – elements with similar chemical properties but different masses – provides critical clues for understanding the history, structure, and evolution of the Earth. Mass spectrometers are sensitive instruments that measure the relative abundances of different isotopes by separating atoms based on their mass. Thermal ionization mass spectrometers (TIMS) and multi-collector inductively-coupled plasma mass spectrometers (MC-ICPMS) can measure very precise relative abundances for a wide variety of elements. This award supports the creation of software, developed with input from mass spectrometer manufacturers and isotope geochemists, that will help users visualize, interpret, and statistically evaluate mass spectrometer data from MC-ICPMS and TIMS. Resulting datasets will be more accurate, and developing and implementing this software provides opportunities for learning fundamental open science and mass spectrometry principles. Broad engagement with user communities will be pursued through community workshops and other outreach activities that emphasize participation of early career researchers and scientists from groups historically underrepresented in the geosciences.

This award supports the expansion of a statistical toolbox used by isotope geochemists to interpret high precision mass spectrometer data, which can then be output to any isotope-system-specific data reduction protocol. This includes integration of existing statistical techniques, like log-ratio data analysis, new algorithms for isotope geochemistry, like the expectation-maximization (E-M) algorithm for handling rejected data, and methods for Bayesian inference, like reversible-jump Markov Chain and adaptive Monte Carlo methods. Together, these can provide the next step in improving mass spectrometer precision and accuracy without costly instrument development. It is critical to encapsulate these algorithms into new robust open-source software products with dynamic user interfaces that support new and existing scientific workflows.



---